httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ken Williams <...@mathforum.org>
Subject Re: libapreq-1.1 Release Candidate 1
Date Tue, 26 Nov 2002 06:56:38 GMT

On Tuesday, November 26, 2002, at 05:24  PM, Joe Schaefer wrote:

> Ken Williams <ken@mathforum.org> writes:
>
> [...]
>
>> I got through "./configure -> make -> make install"
>> successfully, installing to /usr/local/lib/ and
>> /usr/local/include/.  However, there doesn't seem to be a
>> "ldconfig" on my system ('locate' couldn't find one anywhere,
>> and I checked manually in /sbin/ and /usr/sbin/).
>
> According to
>
>     http://fink.sourceforge.net/doc/porting/porting.html
>
> OS X doesn't have/need an "ldconfig" binary (I'll update the web page).
>
> Try running the BUILD.sh script first.  It'll rebuild the libtool/
> autoconf/automake utilities by using to your machine's version,
> instead of the ones I included in the tarball (which are based on
> my linux box).  You might try running that first, and then doing
> the "./configure -> make -> make install" mojo before building
> the perl tests.

Promising, but several errors ensue:

[pe-242:~/Downloads/perl/httpd-apreq] ken% ./BUILD.sh
./BUILD.sh: command not found: libtoolize [4]
./BUILD.sh: command not found: aclocal [5]
FATAL ERROR: Autoconf version 2.52 or higher is required for this script
./BUILD.sh: command not found: automake [7]
[pe-242:~/Downloads/perl/httpd-apreq] ken% which autoconf
/usr/bin/autoconf
[pe-242:~/Downloads/perl/httpd-apreq] ken% autoconf --version
Autoconf version 2.13

Is it possible to backport the process to older autoconfs, or 
are new features required?

  -Ken


Mime
View raw message